## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException Class Reference

Inheritance diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException:

[legend]
Collaboration diagram for XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException:

[legend]
List of all members.

## Public Member Functions

- XalanFStreamOutputStreamWriteException (int theErrorCode, XalanDOMString &theBuffer)
    Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream.
- virtual ~XalanFStreamOutputStreamWriteException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::XalanFStreamOutputStreamWriteException | ( | int | theErrorCode,
|  | XalanDOMString & | theBuffer
| ) |

  | Construct an XalanFStreamOutputStreamWriteException exception object for an exception that occurred while writing to a file stream. Parameters:
  theErrorCode | number of error encountered

virtual XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::~XalanFStreamOutputStreamWriteException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XalanFStreamOutputStream::XalanFStreamOutputStreamWriteException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanFStreamOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.